notifications
The paginated inbox
Distinct from the plain list, which is the short one the bell shows. This is the full history, filterable.
GET
/
v1
/
organizations
/
{orgId}
/
notifications
/
inbox
The paginated inbox
curl --request GET \
--url https://api.surnex.io/v1/organizations/{orgId}/notifications/inboximport requests
url = "https://api.surnex.io/v1/organizations/{orgId}/notifications/inbox"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.surnex.io/v1/organizations/{orgId}/notifications/inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event": "<string>",
"title": "<string>",
"message": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_read": true,
"created_at": "2023-11-07T05:31:56Z",
"metadata": null
}
],
"meta": {
"page": 2,
"per_page": 250,
"total": 1
}
}Path Parameters
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
true, false ⌘I
The paginated inbox
